<?php
#########################################
# Скрипт онлайн игры "Симс"_____________#
# Автор: -=FеST=-_______________________#
# ICQ : 345-22-23 ______________________#
# Все права принадлежат автору(-=FeST=-)#
#########################################
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
$set['title']='The Sims';
include_once '../sys/inc/thead.php';
title();
err();
aut();

if(!isset($user)){
echo 'Вы неавторизованы';
include_once '../sys/inc/tfoot.php';
exit;
}

include_once 'inc/start.php';

if(isset($_GET['id']))
{
	$id = abs(intval($_GET['id']));
	$res = mysql_result(mysql_query("SELECT COUNT(*) FROM `sims_work` WHERE `id`='".$id."'"),0);
		if($res!=0)
		{
		mysql_query("UPDATE `sims_user` SET `work_id`='".$id."' WHERE `id_u`='".$user_id."'");
		echo "<div class='".$diz['msg']."'>Вы устроились на работу!</div>";
		}
}		
echo '<div class="'.$diz['post_1'].'"><img src="i/city_large.png" /> <b style="font-size:1.3em;">Центр трудоустройства</b><b style="font-size:1.3em;float:right;">'.date("H:i",time()).'</b></div>
<div class="'.$diz['post_1'].'">
Доступные вакансии<br/>
';
$query = mysql_query("SELECT * FROM `sims_work`");
	while($arr = mysql_fetch_array($query))
	{
	echo "<hr/><img src='i/work.png' /><a href='work.php?id=".$arr['id']."'> <b>".$arr['name']."</b></a> ".($sims_user['work_id']==$arr['id'] ? "Ваша работа" : NULL)."<br/>
	Зарплата : ".$arr['zp']."$/час, навык : ".sims_translit2($arr['skill']);
	
	}
echo "</div>";
sims_ret($diz['ret'],'Город','city.php');
sims_ret($diz['ret'],'Назад','index.php');
include_once '../sys/inc/tfoot.php';
?>
